Sign up now! · Forgot password?
RSS/Atom feed identi.ca Twitter

Compiling GIMP-2.9 with the new mypaint requirements

This discussion is connected to the gimp-developer-list.gnome.org mailing list which is provided by the GIMP developers and not related to gimpusers.com.

This is a read-only list on gimpusers.com so this discussion thread is read-only, too.

13 of 13 messages available
Toggle history

Please log in to manage your subscriptions.

Compiling GIMP-2.9 with the new mypaint requirements Elle Stone 02 Jan 12:38
  Compiling GIMP-2.9 with the new mypaint requirements Elle Stone 02 Jan 13:05
   Compiling GIMP-2.9 with the new mypaint requirements Tobias Ellinghaus 02 Jan 13:25
    Compiling GIMP-2.9 with the new mypaint requirements Jehan Pagès 02 Jan 13:48
     Compiling GIMP-2.9 with the new mypaint requirements Alexandre Prokoudine 02 Jan 16:42
      Compiling GIMP-2.9 with the new mypaint requirements Alexandre Prokoudine 02 Jan 16:51
       Compiling GIMP-2.9 with the new mypaint requirements Kevin Cozens 02 Jan 20:54
        Compiling GIMP-2.9 with the new mypaint requirements Jehan Pagès 03 Jan 13:14
         Compiling GIMP-2.9 with the new mypaint requirements Thorsten Stettin 03 Jan 20:49
    Compiling GIMP-2.9 with the new mypaint requirements Elle Stone 02 Jan 13:51
    Compiling GIMP-2.9 with the new mypaint requirements Akkana Peck 02 Jan 18:00
     Compiling GIMP-2.9 with the new mypaint requirements Jehan Pagès 03 Jan 13:19
      Compiling GIMP-2.9 with the new mypaint requirements Thorsten Stettin 03 Jan 20:22
Elle Stone
2018-01-02 12:38:31 UTC (6 months ago)

Compiling GIMP-2.9 with the new mypaint requirements

When configuring GIMP-2.9, it doesn't find the mypaint brushes.

Following this page: https://git.gnome.org/browse/gimp/plain/INSTALL.in

1. I cloned this: git clone https://github.com/Jehan/mypaint-brushes.git

2. I switched to this branch: git branch --list
master
* v1.3.x

3. I ran these commands: ./autogen.sh --prefix=$PREFIX
./configure --prefix=$PREFIX
make && make install

4. I checked to see if the mypaint brushes were installed, and they were. Here are the installed files:

/home/elle/code-install/gimpdefault/install/share/mypaint-data/1.0/brushes/. . . (with a bunch of brushes in the brushes folder)

/home/elle/code-install/gimpdefault/install/share/pkgconfig/mypaint-brushes-1.0.pc

5. When attempting to configure GIMP, here is the error message:

./autogen.sh --prefix=$PREFIX --with-gimpdir=$PREFIX/config --disable-gtk-doc --enable-debug=yes

Error: GIMP configuration failed.

- Error: missing dependency mypaint-brushes-1.0

6. So I tried also install the mypaint brushes in /usr/local, but GIMP still can't find the brushes.

7. In case it's relevant. I have libmypaint-1.3.0 installed from Gentoo portage:
equery list '*mypaint*'
* Searching for *mypaint* ...
[IP-] [ ] media-libs/libmypaint-1.3.0:0/0

Did I miss some magic step along the way? If not, how do I tell GIMP where the mypaint brushes are?

Best, Elle

Elle Stone
2018-01-02 13:05:58 UTC (6 months ago)

Compiling GIMP-2.9 with the new mypaint requirements

On 01/02/2018 07:38 AM, Elle Stone wrote:

When configuring GIMP-2.9, it doesn't find the mypaint brushes.

6. So I tried also install the mypaint brushes in /usr/local, but GIMP still can't find the brushes.

7. In case it's relevant.  I have libmypaint-1.3.0 installed from Gentoo portage:
equery list '*mypaint*'
 * Searching for *mypaint* ...
[IP-] [  ] media-libs/libmypaint-1.3.0:0/0

Installing the brushes in "/usr" allowed GIMP to find the brushes. But it seems like GIMP should have found the brushes when they were installed in the prefix.

Best, Elle

Tobias Ellinghaus
2018-01-02 13:25:02 UTC (6 months ago)

Compiling GIMP-2.9 with the new mypaint requirements

Am Dienstag, 2. Januar 2018, 14:05:58 CET schrieb Elle Stone:

On 01/02/2018 07:38 AM, Elle Stone wrote:

When configuring GIMP-2.9, it doesn't find the mypaint brushes.

6. So I tried also install the mypaint brushes in /usr/local, but GIMP still can't find the brushes.

7. In case it's relevant. I have libmypaint-1.3.0 installed from Gentoo portage:
equery list '*mypaint*'

* Searching for *mypaint* ...

[IP-] [ ] media-libs/libmypaint-1.3.0:0/0

Installing the brushes in "/usr" allowed GIMP to find the brushes. But it seems like GIMP should have found the brushes when they were installed in the prefix.

You probably have to add

/home/elle/code-install/gimpdefault/install/share/pkgconfig/

to your PKG_CONFIG_PATH. libmypaint installs to lib/pkgconfig and the brushes are in share/pkgconfig. Both are valid locations, but this adds one new path you have to deal with when installing dependencies for GIMP separately.

Best,
Elle

Tobias

Jehan Pagès
2018-01-02 13:48:09 UTC (6 months ago)

Compiling GIMP-2.9 with the new mypaint requirements

Hi!

On Tue, Jan 2, 2018 at 2:25 PM, Tobias Ellinghaus wrote:

Am Dienstag, 2. Januar 2018, 14:05:58 CET schrieb Elle Stone:

On 01/02/2018 07:38 AM, Elle Stone wrote:

When configuring GIMP-2.9, it doesn't find the mypaint brushes.

6. So I tried also install the mypaint brushes in /usr/local, but GIMP still can't find the brushes.

7. In case it's relevant. I have libmypaint-1.3.0 installed from Gentoo portage:
equery list '*mypaint*'

* Searching for *mypaint* ...

[IP-] [ ] media-libs/libmypaint-1.3.0:0/0

Installing the brushes in "/usr" allowed GIMP to find the brushes. But it seems like GIMP should have found the brushes when they were installed in the prefix.

You probably have to add

/home/elle/code-install/gimpdefault/install/share/pkgconfig/

Indeed!
I'm not sure why everyone was only adding a lib/pkgconfig/ but share/pkgconfig/ is also to be added in any custom prefix in PKG_CONFIG_PATH!
Why it worked inside /usr is because this is already in the defaults path of pkg-config for the /usr/ or /usr/local/ prefixes but you have to take care of it for any custom prefix.

Also why can it be in share/ or in lib/? The logic is quite simple: if this is a library, the pc file goes in lib/pkgconfig/, if this is a data package, it goes in share/pkgconfig/. Have fun!

Jehan

to your PKG_CONFIG_PATH. libmypaint installs to lib/pkgconfig and the brushes are in share/pkgconfig. Both are valid locations, but this adds one new path you have to deal with when installing dependencies for GIMP separately.

Best,
Elle

Tobias
_______________________________________________ gimp-developer-list mailing list
List address: gimp-developer-list@gnome.org List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list List archives: https://mail.gnome.org/archives/gimp-developer-list

ZeMarmot open animation film
http://film.zemarmot.net
Liberapay: https://liberapay.com/ZeMarmot/
Patreon: https://patreon.com/zemarmot
Tipeee: https://www.tipeee.com/zemarmot
Elle Stone
2018-01-02 13:51:54 UTC (6 months ago)

Compiling GIMP-2.9 with the new mypaint requirements

On 01/02/2018 08:25 AM, Tobias Ellinghaus wrote:

You probably have to add

/home/elle/code-install/gimpdefault/install/share/pkgconfig/

to your PKG_CONFIG_PATH. libmypaint installs to lib/pkgconfig and the brushes are in share/pkgconfig. Both are valid locations, but this adds one new path you have to deal with when installing dependencies for GIMP separately.

Ah, thanks! I bet that's the problem. I have to do the same thing when installing PhotoFlow to let PhotoFlow knows where to look for libvips.

Best, Elle

Alexandre Prokoudine
2018-01-02 16:42:59 UTC (6 months ago)

Compiling GIMP-2.9 with the new mypaint requirements

On Tue, Jan 2, 2018 at 4:48 PM, Jehan Pagès wrote:

Why it worked inside /usr is because this is already in the defaults path of pkg-config for the /usr/ or /usr/local/ prefixes but you have to take care of it for any custom prefix.

Um, I built with --prefix=/usr and GIMP still fails to find it.

Alex

Alexandre Prokoudine
2018-01-02 16:51:14 UTC (6 months ago)

Compiling GIMP-2.9 with the new mypaint requirements

On Tue, Jan 2, 2018 at 7:42 PM, Alexandre Prokoudine wrote:

On Tue, Jan 2, 2018 at 4:48 PM, Jehan Pagès wrote:

Why it worked inside /usr is because this is already in the defaults path of pkg-config for the /usr/ or /usr/local/ prefixes but you have to take care of it for any custom prefix.

Um, I built with --prefix=/usr and GIMP still fails to find it.

OK, so I'm being Mr. Silly, switched to the 1.3 branch, it worked.

Alex

Akkana Peck
2018-01-02 18:00:18 UTC (6 months ago)

Compiling GIMP-2.9 with the new mypaint requirements

On 01/02/2018 07:38 AM, Elle Stone wrote:

When configuring GIMP-2.9, it doesn't find the mypaint brushes.

Tobias Ellinghaus writes:

You probably have to add

/home/elle/code-install/gimpdefault/install/share/pkgconfig/

I hit a bunch of snags trying to follow this, getting the right branch and not knowing that libmypaint's autogen doesn't run configure automatically.. Here's what worked for me on Debian:

export PKG_CONFIG_PATH=$PREFIX/share/pkgconfig/

git clone https://github.com/Jehan/mypaint-brushes.git cd mypaint-brushes
git checkout --track -b v1.3.x origin/v1.3.x ./autogen.sh --prefix=$PREFIX
(probably didn't need the --prefix for that) ./configure --prefix=$PREFIX
make
make install

then proceed with the usual GIMP build.

Except that I also discovered that GIMP's configure is giving a warning now about Debian's default gcc, 7.2.0. I had gcc-6 installed already, but configure doesn't find it automatically. Here's the solution to that:

export CC=/usr/bin/gcc-6

and make clean in gegl and babl if they've previously been built with the default compiler.

...Akkana

Kevin Cozens
2018-01-02 20:54:05 UTC (6 months ago)

Compiling GIMP-2.9 with the new mypaint requirements

On 2018-01-02 11:51 AM, Alexandre Prokoudine wrote:

OK, so I'm being Mr. Silly, switched to the 1.3 branch, it worked.

Switching to the 1.3 branch, and the previous tip about adding share/pkconfig to the paths used by pkgconfig allowed GIMP to find the mypaint-brushes files that I installed for use by GIMP.

The configure checks in GIMP don't like the 2.x version you get if you just checkout and install the files from git master.

Cheers!

Kevin.

http://www.ve3syb.ca/           |"Nerds make the shiny things that distract
Owner of Elecraft K2 #2172      | the mouth-breathers, and that's why we're
                                 | powerful!"
#include  |             --Chris Hardwick
Jehan Pagès
2018-01-03 13:14:33 UTC (6 months ago)

Compiling GIMP-2.9 with the new mypaint requirements

Hi!

On Tue, Jan 2, 2018 at 9:54 PM, Kevin Cozens wrote:

On 2018-01-02 11:51 AM, Alexandre Prokoudine wrote:

OK, so I'm being Mr. Silly, switched to the 1.3 branch, it worked.

Switching to the 1.3 branch, and the previous tip about adding share/pkconfig to the paths used by pkgconfig allowed GIMP to find the mypaint-brushes files that I installed for use by GIMP.

The configure checks in GIMP don't like the 2.x version you get if you just checkout and install the files from git master.

Yep that's on purpose. MyPaint/libmypaint development evolved their brush format with incompatible changes. There are new parameters (some of which can currently crash GIMP, which is still to be fixed on libmypaint side) and some parameters are the same but actually behave differently.

The library has been versionned already (current libmypaint master is version 2 though there has been no release yet) and we needed to also have brushes versionned as well for the above reasons. We also needed brushes as a separate package (otherwise MyPaint is a dependency of GIMP!) and finally we needed to make sure of the installation path (otherwise we have to "guess" and in many cases, the MyPaint tool was just useless with no brushes available).

For all these reasons, I took the MyPaint current brushes. And I made a branch to freeze the brushes before all the changes happened. But the master branch still needs to follow MyPaint master development. :-)

Jehan

--
Cheers!

Kevin.

http://www.ve3syb.ca/ |"Nerds make the shiny things that distract Owner of Elecraft K2 #2172 | the mouth-breathers, and that's why we're | powerful!" #include | --Chris Hardwick

_______________________________________________ gimp-developer-list mailing list
List address: gimp-developer-list@gnome.org List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list List archives: https://mail.gnome.org/archives/gimp-developer-list

ZeMarmot open animation film
http://film.zemarmot.net
Liberapay: https://liberapay.com/ZeMarmot/
Patreon: https://patreon.com/zemarmot
Tipeee: https://www.tipeee.com/zemarmot
Jehan Pagès
2018-01-03 13:19:10 UTC (6 months ago)

Compiling GIMP-2.9 with the new mypaint requirements

Hi!

On Tue, Jan 2, 2018 at 7:00 PM, Akkana Peck wrote:

On 01/02/2018 07:38 AM, Elle Stone wrote:

When configuring GIMP-2.9, it doesn't find the mypaint brushes.

Tobias Ellinghaus writes:

You probably have to add

/home/elle/code-install/gimpdefault/install/share/pkgconfig/

I hit a bunch of snags trying to follow this, getting the right branch and not knowing that libmypaint's autogen doesn't run configure automatically..

Yeah autogen.sh does not have to run configure and MyPaint people removed this behavior from the autotools setup I initially did. Since I expect this repository to be taken care of later on by the MyPaint team, I did the autogen.sh the way they like it, i.e. not running configure. :-)

Jehan

P.S.: also I don't really like that the autogen.sh run configure myself. It can sometimes be a bother when you want to do VPATH builds but the autogen script often wants to be run from within the source root. Anyway…

ZeMarmot open animation film
http://film.zemarmot.net
Liberapay: https://liberapay.com/ZeMarmot/
Patreon: https://patreon.com/zemarmot
Tipeee: https://www.tipeee.com/zemarmot
Thorsten Stettin
2018-01-03 20:22:08 UTC (6 months ago)

Compiling GIMP-2.9 with the new mypaint requirements

Sorry, what's wrong?

https://pastebin.com/g3xkvXEh

Am 03.01.2018 um 14:19 schrieb Jehan Pagès:

Hi!

On Tue, Jan 2, 2018 at 7:00 PM, Akkana Peck wrote:

On 01/02/2018 07:38 AM, Elle Stone wrote:

When configuring GIMP-2.9, it doesn't find the mypaint brushes.

Tobias Ellinghaus writes:

You probably have to add

/home/elle/code-install/gimpdefault/install/share/pkgconfig/

I hit a bunch of snags trying to follow this, getting the right branch and not knowing that libmypaint's autogen doesn't run configure automatically..

Yeah autogen.sh does not have to run configure and MyPaint people removed this behavior from the autotools setup I initially did. Since I expect this repository to be taken care of later on by the MyPaint team, I did the autogen.sh the way they like it, i.e. not running configure. :-)

Jehan

P.S.: also I don't really like that the autogen.sh run configure myself. It can sometimes be a bother when you want to do VPATH builds but the autogen script often wants to be run from within the source root. Anyway…

Lao-Tse sagt: Nichtstun ist besser, als mit viel Mühe nichts zu schaffen.
Und er sagt auch: Ich habe drei Schätze, die ich hüte und hege.
Der eine ist die Liebe, der zweite ist die Genügsamkeit, der dritte ist die Demut.
Nur der Liebende ist mutig, nur der Genügsame ist großzügig, nur der Demütige ist fähig zu herrschen.
Thorsten Stettin
2018-01-03 20:49:13 UTC (6 months ago)

Compiling GIMP-2.9 with the new mypaint requirements

Am 03.01.2018 um 14:14 schrieb Jehan Pagès:

Hi!

Sorry for my silly question: How I can your brushes with Gimp?

On Tue, Jan 2, 2018 at 9:54 PM, Kevin Cozens wrote:

On 2018-01-02 11:51 AM, Alexandre Prokoudine wrote:

OK, so I'm being Mr. Silly, switched to the 1.3 branch, it worked.

Switching to the 1.3 branch, and the previous tip about adding share/pkconfig to the paths used by pkgconfig allowed GIMP to find the mypaint-brushes files that I installed for use by GIMP.

The configure checks in GIMP don't like the 2.x version you get if you just checkout and install the files from git master.

Yep that's on purpose. MyPaint/libmypaint development evolved their brush format with incompatible changes. There are new parameters (some of which can currently crash GIMP, which is still to be fixed on libmypaint side) and some parameters are the same but actually behave differently.

The library has been versionned already (current libmypaint master is version 2 though there has been no release yet) and we needed to also have brushes versionned as well for the above reasons. We also needed brushes as a separate package (otherwise MyPaint is a dependency of GIMP!) and finally we needed to make sure of the installation path (otherwise we have to "guess" and in many cases, the MyPaint tool was just useless with no brushes available).

For all these reasons, I took the MyPaint current brushes. And I made a branch to freeze the brushes before all the changes happened. But the master branch still needs to follow MyPaint master development. :-)

Jehan

--
Cheers!

Kevin.

http://www.ve3syb.ca/ |"Nerds make the shiny things that distract Owner of Elecraft K2 #2172 | the mouth-breathers, and that's why we're | powerful!" #include | --Chris Hardwick

_______________________________________________ gimp-developer-list mailing list
List address: gimp-developer-list@gnome.org List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list List archives: https://mail.gnome.org/archives/gimp-developer-list

Lao-Tse sagt: Nichtstun ist besser, als mit viel Mühe nichts zu schaffen.
Und er sagt auch: Ich habe drei Schätze, die ich hüte und hege.
Der eine ist die Liebe, der zweite ist die Genügsamkeit, der dritte ist die Demut.
Nur der Liebende ist mutig, nur der Genügsame ist großzügig, nur der Demütige ist fähig zu herrschen.